### Virtual Method

# Hinoko FwIsoCtx read_cycle_time

since: 1.0

#### Declaration [src]

    gboolean
    read_cycle_time (
      HinokoFwIsoCtx* self,
      gint clock_id,
      HinawaCycleTime** cycle_time,
      GError** error
    )

#### Description [src]

Retrieve the value of cycle time register. This method call is available once any isochronous context is created.

Available since: 1.0

#### Parameters

`clock_id`

  Type: `gint`

  The numeric ID of clock source for the reference timestamp. One CLOCK_REALTIME(0), CLOCK_MONOTONIC(1), and CLOCK_MONOTONIC_RAW(4) is available in UAPI of Linux kernel.

`cycle_time`

  Type: `HinawaCycleTime`

  A `HinawaCycleTime` to store data of cycle time.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.